class String
  
  def z_przecinkiem!(doklejany)
    doklejany=doklejany.to_s
    self << ( if self == "" :   ""; elsif doklejany !="": ", " else "" end  + doklejany )
  end

  def z_przecinkiem(doklejany)
    doklejany=doklejany.to_s
    zwracany = self.dup
    zwracany << ( if zwracany == "" :   ""; elsif doklejany !="": ", " else "" end  + doklejany )
    return zwracany
  end



  def przecinek_i
    spl= self.split(",")
    if spl.size > 1
      return spl[0, spl.size-1].join(",") + " i" + spl[-1]
    else return self
    end
  end
             
end # of class string
